Bug 1431529 - Reinstall host remains in Non-operational state if gluster UUID is changed
Summary: Reinstall host remains in Non-operational state if gluster UUID is changed
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: ovirt-engine
Classification: oVirt
Component: BLL.Gluster
Version: 4.1.1.4
Hardware: Unspecified
OS: Unspecified
medium
high
Target Milestone: ovirt-4.1.3
: 4.1.3.2
Assignee: Sahina Bose
QA Contact: SATHEESARAN
URL:
Whiteboard:
Depends On:
Blocks: Gluster-HC-3 RHHI-1.1-Approved-Backlog-BZs
TreeView+ depends on / blocked
 
Reported: 2017-03-13 07:07 UTC by Sahina Bose
Modified: 2017-08-28 10:26 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-07-06 13:15:35 UTC
oVirt Team: Gluster
sabose: ovirt-4.1?
sabose: planning_ack?
rule-engine: devel_ack+
sasundar: testing_ack+


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
oVirt gerrit 73901 master MERGED engine: Reset gluster uuid on reinstall 2017-03-30 07:16:01 UTC
oVirt gerrit 77698 ovirt-engine-4.1 MERGED engine: Reset gluster uuid on reinstall 2017-06-05 08:28:06 UTC

Description Sahina Bose 2017-03-13 07:07:07 UTC
Description of problem:

When a host OS is reinstalled, and a new IP address/FQDN is assigned to the interface associated with gluster network, the gluster server UUID is also different from the previous associated one. Reinstalling the host from UI does not reflect the new gluster server UUID, and the host is stuck at "Non-Operational" state

Error message on host:
	
"Gluster command [gluster peer status fisher.lab.eng.blr.redhat.com] failed on server pinstripe.lab.eng.blr.redhat.com" - which is thrown when trying to match the gluster server UUID known to engine with list of peer UUIDs from any one host

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Move a host(host3) to maintenance
2. Reinstall host3 OS, and assign a new IP address to interface associated with gluster network. The host FQDN associated with ovirtmgmt remains unchanged.
3. Peer probe the new IP address from one of the peers in cluster
4. Reinstall host from UI.

Actual results:
Host does not move to active state.

Expected results:

Comment 3 SATHEESARAN 2017-07-04 02:19:36 UTC
Verified with RHV 4.1.3-5

With the re-installation of the host from RHV UI, the older gluster UUID is replaced with the new gluster UUID , and the host becomes operational


Note You need to log in before you can comment on or make changes to this bug.